=== modified file 'invoice_date_time/__openerp__.py'
--- invoice_date_time/__openerp__.py	2013-05-02 15:18:07 +0000
+++ invoice_date_time/__openerp__.py	2013-05-22 05:20:07 +0000
@@ -41,6 +41,6 @@
     "demo_xml" : [],
     "update_xml" : [
     ],
-    "installable" : False,
+    "installable" : True,
     "active" : False,
 }

=== added directory 'payment_terms'
=== added file 'payment_terms/__init__.py'
--- payment_terms/__init__.py	1970-01-01 00:00:00 +0000
+++ payment_terms/__init__.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,1 @@
+import model

=== added file 'payment_terms/__openerp__.py'
--- payment_terms/__openerp__.py	1970-01-01 00:00:00 +0000
+++ payment_terms/__openerp__.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,56 @@
+# -*- encoding: utf-8 -*-
+############################################################################
+#    Module Writen to OpenERP, Open Source Management Solution             #
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).            #
+#    All Rights Reserved                                                   #
+###############Credits######################################################
+#    Coded by: author NAME LASTNAME <email@openerp.com.ve>                 #
+#    Planified by: Nhomar Hernandez                                        #
+#    Finance by: COMPANY NAME <EMAIL-COMPANY>                              #
+#    Audited by: Humberto Arocha humberto@openerp.com.ve                   #
+############################################################################
+#    This program is free software: you can redistribute it and/or modify  #
+#    it under the terms of the GNU General Public License as published by  #
+#    the Free Software Foundation, either version 3 of the License, or     #
+#    (at your option) any later version.                                   #
+#                                                                          #
+#    This program is distributed in the hope that it will be useful,       #
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
+#    GNU General Public License for more details.                          #
+#                                                                          #
+#    You should have received a copy of the GNU General Public License     #
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>. #
+############################################################################
+{
+    "name" : "Payments Term",
+    "version" : "0.1",
+    "depends" : ["base","stock","sale",'purchase','account'],
+    "author" : "Vauxoo",
+    "description" : """
+    Add Payments terms by partner, Each payments termn is set in each partner
+    and each partner have a different payment termn by company,
+
+    These fields are located in the Accounting tab, above Others terms added by
+    accounting module.
+
+    The Payment term is in sale, stock,purchase and invoice modules and is send 
+    through are models
+                    """,
+    "website" : "http://www.vauxoo.com",
+    "category" : "Generic Modules",
+    "init_xml" : [    ],
+    "demo_xml" : [    ],
+    "update_xml" : [
+        
+        'view/account_view.xml',
+        'view/partner_view.xml',
+        'view/purchase_view.xml',
+        'view/sale_view.xml',
+        'view/stock_view.xml',
+        
+    
+    ],
+    "active": False,
+    "installable": True,
+}

=== added directory 'payment_terms/data'
=== added directory 'payment_terms/demo'
=== added directory 'payment_terms/i18n'
=== added file 'payment_terms/i18n/es_VE.po'
--- payment_terms/i18n/es_VE.po	1970-01-01 00:00:00 +0000
+++ payment_terms/i18n/es_VE.po	2013-05-22 05:20:07 +0000
@@ -0,0 +1,130 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+# 	* payment_terms
+# <> <>, 2013.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-05-22 05:00+0000\n"
+"PO-Revision-Date: 2013-05-22 00:34-0430\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+"X-Generator: Gtranslator 2.91.6\n"
+
+#. module: payment_terms
+#: field:payment.terms.partner,name:0
+msgid "Name"
+msgstr "Nombre"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_stock_picking_in
+msgid "Incoming Shipments"
+msgstr "Albaranes de entrada"
+
+#. module: payment_terms
+#: help:res.partner,property_payment_term_p_customer:0
+msgid ""
+"This payment term will be used instead of the default one for sale orders "
+"and customer invoices"
+msgstr ""
+"Este termino de pago sera usado en lugar del que se encuentra por defecto en "
+"las ordenes de venta y facturas de clientes"
+
+#. module: payment_terms
+#: help:res.partner,property_payment_term_p_suppliers:0
+msgid ""
+"This payment term will be used instead of the default one for purchase "
+"orders and supplier invoices"
+msgstr ""
+"Este termino de pago sera usado en lugar del que se encuentra por defecto en "
+"las ordenes de compras y facturas de proveedor"
+
+#. module: payment_terms
+#: view:payment.terms.partner:0
+msgid "Payments Terms"
+msgstr "Terminos de Pago"
+
+#. module: payment_terms
+#: model:ir.ui.menu,name:payment_terms.payment_term_partner
+msgid "Payments Termns"
+msgstr "Teminos de Pago"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_stock_picking
+msgid "Picking List"
+msgstr "Albarán"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_purchase_order
+msgid "Purchase Order"
+msgstr "Pedido de compra"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_payment_terms_partner
+msgid "payment.terms.partner"
+msgstr "payment.terms.partner"
+
+#. module: payment_terms
+#: help:account.invoice,payment_terms_id:0
+#: help:purchase.order,payment_terms_id:0 help:sale.order,payment_terms_id:0
+#: help:stock.picking,payment_terms_id:0
+#: help:stock.picking.in,payment_terms_id:0
+#: help:stock.picking.out,payment_terms_id:0
+msgid "Select the payment term agreed by company for this partner"
+msgstr ""
+"Seleccione el termino de pago establecido por la compañía para este cliente"
+
+#. module: payment_terms
+#: model:ir.actions.act_window,name:payment_terms.payment_term_partner_action
+msgid "payment.term.partner"
+msgstr "payment.term.partner"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_account_invoice
+msgid "Invoice"
+msgstr "Factura"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_res_partner
+msgid "Partner"
+msgstr "Empresa"
+
+#. module: payment_terms
+#: help:payment.terms.partner,name:0
+msgid "Name to identify payment term"
+msgstr "Nombre para identificar el termino de pago"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_sale_order
+msgid "Sales Order"
+msgstr "Pedido de venta"
+
+#. module: payment_terms
+#: model:ir.model,name:payment_terms.model_stock_picking_out
+msgid "Delivery Orders"
+msgstr "Órdenes de entrega"
+
+#. module: payment_terms
+#: field:res.partner,property_payment_term_p_customer:0
+msgid "Payment Term Customer"
+msgstr "Terminos de Pago de Cliente"
+
+#. module: payment_terms
+#: field:account.invoice,payment_terms_id:0
+#: field:purchase.order,payment_terms_id:0 field:sale.order,payment_terms_id:0
+#: field:stock.picking,payment_terms_id:0
+#: field:stock.picking.in,payment_terms_id:0
+#: field:stock.picking.out,payment_terms_id:0
+msgid "Payment Terms"
+msgstr "Terminos de Pago"
+
+#. module: payment_terms
+#: field:res.partner,property_payment_term_p_suppliers:0
+msgid "Payment Term Supplier"
+msgstr "Terminos de Pago de Proveedor"

=== added directory 'payment_terms/model'
=== added file 'payment_terms/model/__init__.py'
--- payment_terms/model/__init__.py	1970-01-01 00:00:00 +0000
+++ payment_terms/model/__init__.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,5 @@
+import account
+import partner
+import purchase
+import sale
+import stock

=== added file 'payment_terms/model/account.py'
--- payment_terms/model/account.py	1970-01-01 00:00:00 +0000
+++ payment_terms/model/account.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,65 @@
+#!/usr/bin/python
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+# Credits######################################################
+#    Coded by: Vauxoo C.A.
+#    Planified by: Nhomar Hernandez
+#    Audited by: Vauxoo C.A.
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##########################################################################
+
+from openerp.osv import osv, fields
+from openerp.tools.translate import _
+
+from datetime import datetime
+from DateTime import DateTime
+import time
+
+
+class account_invoice(osv.Model):
+
+    _inherit = 'account.invoice'
+
+    _columns = {
+            'payment_terms_id':fields.many2one('payment.terms.partner',
+                                               'Payment Terms',
+                                               help='Select the payment term '
+                                                    'agreed by company for '
+                                                    'this partner'), 
+    }
+
+
+
+
+class payments_term_partner(osv.Model):
+    
+    '''Payments terms agreed by company to define how to will 
+       pay each partner'''
+    
+    _name = 'payment.terms.partner'
+    
+    _columns = {
+            'name':fields.char('Name', 50,
+                               help='Name to identify payment term'), 
+            
+            
+            }
+
+
+
+

=== added file 'payment_terms/model/partner.py'
--- payment_terms/model/partner.py	1970-01-01 00:00:00 +0000
+++ payment_terms/model/partner.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,50 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from operator import itemgetter
+import time
+
+from openerp.osv import fields, osv
+
+
+class res_partner(osv.Model):
+
+    _inherit = 'res.partner'
+
+    _columns = {
+        'property_payment_term_p_suppliers': fields.property(
+            'payment.terms.partner',
+             type='many2one',
+             relation='payment.terms.partner',
+             string ='Payment Term Supplier',
+            view_load=True,
+             help="This payment term will be used instead of the default one "
+                  "for purchase orders and supplier invoices"),
+        'property_payment_term_p_customer': fields.property(
+            'payment.terms.partner',
+             type='many2one',
+             relation='payment.terms.partner',
+            view_load=True,
+             string ='Payment Term Customer',
+             help="This payment term will be used instead of the default one "
+                  "for sale orders and customer invoices"),
+    }
+

=== added file 'payment_terms/model/purchase.py'
--- payment_terms/model/purchase.py	1970-01-01 00:00:00 +0000
+++ payment_terms/model/purchase.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,90 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+# Copyright (c) 2011 OpenERP Venezuela (http://openerp.com.ve)
+# All Rights Reserved.
+# Programmed by: Israel Fermín Montilla  <israel@openerp.com.ve>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+###############################################################################
+from openerp.osv import osv
+from openerp.osv import fields
+from openerp.tools.translate import _
+
+
+class inherits_purchase(osv.Model):
+    
+    '''Inherit purchase model to add opration cobol reference'''
+    
+    _inherit = 'purchase.order'
+    
+    
+    _columns = {
+
+            'payment_terms_id':fields.many2one('payment.terms.partner',
+                                               'Payment Terms',
+                                               help='Select the payment term '
+                                                    'agreed by company for '
+                                                    'this partner'), 
+            }
+
+    def action_invoice_create(self, cr, uid, ids, context=None):
+        """ Set payment termn in the new invoice create from purchase order
+        """
+        res =  super(inherits_purchase,self).action_invoice_create(cr, uid,
+                                                                  ids, context)
+        inv_obj = self.pool.get('account.invoice')
+        for order in self.browse(cr, uid, ids, context=context):
+            inv_obj.write(cr, uid, res,
+                          {'payment_terms_id':order.payment_terms_id and\
+                                             order.payment_terms_id.id},
+                          context=context)
+
+
+        return res
+
+    def onchange_partner_id(self, cr, uid, ids, partner_id):
+        '''Set of new payment term in purchase order from partner'''
+        partner = self.pool.get('res.partner')
+        res = super(inherits_purchase,self).onchange_partner_id(cr, uid, ids,
+                                                                partner_id)
+        
+        if not partner_id:
+            return {'value': {
+                'fiscal_position': False,
+                'payment_term_id': False,
+                }}
+        supplier = partner.browse(cr, uid, partner_id)
+        res.get('value',{}).update({
+            'payment_terms_id':supplier.property_payment_term_p_suppliers and \
+                               supplier.property_payment_term_p_suppliers.id })
+
+        return res 
+
+    def _prepare_order_picking(self, cr, uid, order, context=None):
+        '''Send new payment term from purchase to picking'''
+        res = super(inherits_purchase,self)._prepare_order_picking(cr, uid,
+                                                                   order,
+                                                                   context)
+        res.update({'payment_terms_id':order.payment_terms_id and \
+                                        order.payment_terms_id.id })
+        return res
+

=== added file 'payment_terms/model/sale.py'
--- payment_terms/model/sale.py	1970-01-01 00:00:00 +0000
+++ payment_terms/model/sale.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,84 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+# Copyright (c) 2011 OpenERP Venezuela (http://openerp.com.ve)
+# All Rights Reserved.
+# Programmed by: Israel Fermín Montilla  <israel@openerp.com.ve>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+###############################################################################
+from openerp.osv import osv
+from openerp.osv import fields
+from openerp.tools.translate import _
+
+
+class inherits_sale(osv.Model):
+    
+    '''Inherit sale order to add a new field, Payment Terms'''
+    
+    _inherit = 'sale.order'
+    
+    _columns = {
+
+            'payment_terms_id':fields.many2one('payment.terms.partner',
+                                               'Payment Terms',
+                                               help='Select the payment term '
+                                                    'agreed by company for '
+                                                    'this partner'), 
+            }
+
+    def _prepare_invoice(self, cr, uid, order, lines, context=None):            
+        '''Overwrite this method to send the payment term new to invoice '''
+        
+        res = super(inherits_sale,self)._prepare_invoice(cr, uid, order,
+                                                         lines, context)
+        res.update({'payment_terms_id':order.payment_terms_id and\
+                                        order.payment_terms_id.id                                                       
+        })                                                                       
+                                                                                                                                                             
+        return res 
+
+
+    def onchange_partner_id(self, cr, uid, ids, part, context=None):                
+
+        '''Overwrite this method to set payment term new to sale order '''
+
+        res = super(inherits_sale,self).onchange_partner_id(cr, uid, ids,
+                                                            part, context)
+        part = self.pool.get('res.partner').browse(cr, uid, part, context)
+
+        payment_term = part.property_payment_term_p_customer and\
+                             part.property_payment_term_p_customer.id or False
+        res.get('value',{}).update({                                                                     
+            'payment_terms_id': payment_term,                                           
+        })                                                                           
+
+        return res 
+
+    def _prepare_order_picking(self, cr, uid, order, context=None):                                                                                          
+        '''Overwrite this method to send the payment term new to picking '''
+
+        res = super(inherits_sale,self)._prepare_order_picking(cr, uid,
+                                                               order,
+                                                               context)
+        res.update({'payment_terms_id':order.payment_terms_id and\
+                                      order.payment_terms_id.id}) 
+        return res

=== added file 'payment_terms/model/stock.py'
--- payment_terms/model/stock.py	1970-01-01 00:00:00 +0000
+++ payment_terms/model/stock.py	2013-05-22 05:20:07 +0000
@@ -0,0 +1,102 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+# Copyright (c) 2011 OpenERP Venezuela (http://openerp.com.ve)
+# All Rights Reserved.
+# Programmed by: Israel Fermín Montilla  <israel@openerp.com.ve>
+#
+# WARNING: This program as such is intended to be used by professional
+# programmers who take the whole responsability of assessing all potential
+# consequences resulting from its eventual inadequacies and bugs
+# End users who are looking for a ready-to-use solution with commercial
+# garantees and support are strongly adviced to contract a Free Software
+# Service Company
+#
+# This program is Free Software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+###############################################################################
+from openerp.osv import osv
+from openerp.osv import fields
+from openerp.tools.translate import _
+from openerp import pooler
+import datetime
+import time
+
+import math
+
+class inherit_picking(osv.Model):
+    
+    '''Inherit sotck.picking to add the new payment term field sent from previous orders'''
+    
+    _inherit = 'stock.picking'
+    
+    _columns = {
+            'payment_terms_id':fields.many2one('payment.terms.partner',
+                                               'Payment Terms',
+                                               help='Select the payment term '
+                                                    'agreed by company for '
+                                                    'this partner'), 
+            }
+
+
+
+    def _prepare_invoice(self, cr, uid, picking, partner, inv_type,
+                         journal_id, context=None):
+        """ Builds the dict containing the values for the invoice with the new
+            payment term fields
+        """
+        res = super(inherit_picking,self)._prepare_invoice(cr, uid, picking,
+                                                           partner, inv_type,
+                                                           journal_id,
+                                                           context)
+        res.update({
+            'payment_terms_id': picking.payment_terms_id and \
+                                    picking.payment_terms_id.id,
+        })
+        return res 
+
+
+
+
+class inherit_picking_in(osv.Model):
+    
+    '''Inherit sotck.picking to add the new payment term field sent from previous orders'''
+    
+    _inherit = 'stock.picking.in'
+    
+    _columns = {
+
+            'payment_terms_id':fields.many2one('payment.terms.partner',
+                                               'Payment Terms',
+                                               help='Select the payment term '
+                                                    'agreed by company for '
+                                                    'this partner'), 
+
+            }
+
+class inherit_picking_out(osv.Model):
+    
+    '''Inherit sotck.picking to add the new payment term field sent from previous orders'''
+    
+    _inherit = 'stock.picking.out'
+    
+    _columns = {
+
+            'payment_terms_id':fields.many2one('payment.terms.partner',
+                                               'Payment Terms',
+                                               help='Select the payment term '
+                                                    'agreed by company for '
+                                                    'this partner'), 
+
+            }
+

=== added directory 'payment_terms/report'
=== added directory 'payment_terms/security'
=== added directory 'payment_terms/view'
=== added file 'payment_terms/view/account_view.xml'
--- payment_terms/view/account_view.xml	1970-01-01 00:00:00 +0000
+++ payment_terms/view/account_view.xml	2013-05-22 05:20:07 +0000
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+    <record model="ir.ui.view" id="inherited_account_invoice_payment_term_form">
+        <field name="name">account.invoice.form.payment.inherit</field>
+        <field name="model">account.invoice</field>
+        <field name="inherit_id" ref="account.invoice_form" />
+        <field name="arch" type="xml">
+            <xpath expr='//field[@name="payment_term"]' position="after" >
+                    <field name="payment_terms_id" widget="selection"/>
+            </xpath>
+        </field>
+    </record>
+
+    <record model="ir.ui.view" id="inherited_account_invoice_user_payment_term_form">
+        <field name="name">account.invoice.user.payment.form.inherit</field>
+        <field name="model">account.invoice</field>
+        <field name="inherit_id" ref="account.invoice_supplier_form" />
+        <field name="arch" type="xml">
+            <xpath expr='//field[@name="payment_term"]' position="after" >
+                    <field name="payment_terms_id" widget="selection"/>
+            </xpath>
+        </field>
+    </record>
+
+   <record model='ir.ui.view' id='payment_term_partner_form'>
+      <field name='name'>payment_term_partner</field>
+      <field name='model'>payment.terms.partner</field>
+      <field name='type'>form</field>
+      <field name='arch' type='xml'>
+          <form string='Payments Terms'>
+           <field name='name' />
+        </form>
+     </field>
+    </record>
+
+   <record model='ir.ui.view' id='payment_term_partner_tree'>
+      <field name='name'>payment_term_partner</field>
+      <field name='model'>payment.terms.partner</field>
+      <field name='arch' type='xml'>
+          <tree string='Payments Terms'>
+           <field name='name' />
+        </tree>
+     </field>
+    </record>
+
+  <record model='ir.actions.act_window' id='payment_term_partner_action'>
+    <field name='name'>payment.term.partner</field>
+    <field name='res_model'>payment.terms.partner</field>
+    <field name='view_type'>form</field>
+    <field name='view_type'>form</field>
+    <field name='view_mode'>tree,form</field>
+  </record>
+
+  <menuitem name='Payments Termns' action="payment_term_partner_action"                                                                                                          
+              id="payment_term_partner" parent="account.menu_configuration_misc"/>
+    </data>
+</openerp>

=== added file 'payment_terms/view/partner_view.xml'
--- payment_terms/view/partner_view.xml	1970-01-01 00:00:00 +0000
+++ payment_terms/view/partner_view.xml	2013-05-22 05:20:07 +0000
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        
+        <record model="ir.ui.view" id="inherited_res_partner_add_payment_term">
+            <field name="name">res.partner.account.form.inherit.view</field>
+            <field name="model">res.partner</field>
+            <field name="inherit_id" ref="account.view_partner_property_form" />
+            <field name="arch" type="xml">
+                <xpath expr='//field[@name="property_payment_term"]' position='after'>
+                       <field name='property_payment_term_p_customer' /> 
+                </xpath>
+                <xpath expr='//field[@name="property_supplier_payment_term"]' position='after'>
+                       <field name='property_payment_term_p_suppliers' /> 
+                </xpath>
+            </field>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'payment_terms/view/purchase_view.xml'
--- payment_terms/view/purchase_view.xml	1970-01-01 00:00:00 +0000
+++ payment_terms/view/purchase_view.xml	2013-05-22 05:20:07 +0000
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+  <data>
+
+    <!--
+    Purchase Extension
+  -->
+
+    <record id="view_purchase__dd_paymentform" model="ir.ui.view">
+        <field name="name">purchase.order.form.inherit</field>
+        <field name="model">purchase.order</field>
+        <field name="inherit_id" ref="purchase.purchase_order_form"/>
+        <field name="arch" type="xml">
+                <xpath expr="//field[@name='payment_term_id']" position="before">
+                    <field name="payment_terms_id"  widget="selection"/>
+                </xpath>
+        </field>
+    </record>
+        
+
+  </data>
+</openerp>

=== added file 'payment_terms/view/sale_view.xml'
--- payment_terms/view/sale_view.xml	1970-01-01 00:00:00 +0000
+++ payment_terms/view/sale_view.xml	2013-05-22 05:20:07 +0000
@@ -0,0 +1,15 @@
+<?xml version='1.0' encoding='utf-8'?>
+<openerp>
+  <data>
+    <record model="ir.ui.view" id="sale_view_order_new_payment_term">
+      <field name="name">sale_view_order_new_payment_term</field>
+      <field name="model">sale.order</field>
+      <field name="inherit_id" ref="sale.view_order_form"/>
+      <field name="arch" type="xml">
+        <xpath expr="//field[@name='payment_term']" position="after">
+                <field name="payment_terms_id" widget="selection" />
+        </xpath>
+      </field>
+    </record>
+  </data>
+</openerp>

=== added file 'payment_terms/view/stock_view.xml'
--- payment_terms/view/stock_view.xml	1970-01-01 00:00:00 +0000
+++ payment_terms/view/stock_view.xml	2013-05-22 05:20:07 +0000
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+    
+    <!-- Inherit Stock Picking In Form -->
+    
+    <record model="ir.ui.view" id="inherited_stock_picking_in_new_payment_form">
+        <field name="name">stock.picking.in.form.inherit</field>
+        <field name="model">stock.picking.in</field>
+        <field name="inherit_id" ref="stock.view_picking_in_form" />
+        <field name="arch" type="xml">
+            <xpath expr='//field[@name="partner_id"]' position="after" >
+                <field name="payment_terms_id"  widget="selection" />
+            </xpath>
+        </field>
+    </record>
+    
+    <!-- Inherit Stock Picking Out Form -->
+    
+    <record model="ir.ui.view" id="inherited_stock_picking_add_paymenr_out_form">
+        <field name="name">stock.picking.out.form.inherit</field>
+        <field name="model">stock.picking.out</field>
+        <field name="inherit_id" ref="stock.view_picking_out_form" />
+        <field name="arch" type="xml">
+            <xpath expr='//field[@name="partner_id"]' position="after" >
+                <field name="payment_terms_id"  widget="selection" />
+            </xpath>
+        </field>
+    </record>
+    
+    </data>
+</openerp>

=== added directory 'payment_terms/wizard'
